
def extract_links(url, parser='html.parser'):
    from bs4 import BeautifulSoup
    import requests

    # Send a request to the URL
    response = requests.get(url)
    # Parse the HTML content
    soup = BeautifulSoup(response.text, parser)
    # Find all anchor tags and extract the href attribute
    links = [a['href'] for a in soup.find_all('a', href=True)]
    return links



